Registrations are now open. Join us today!
There is still a lot of work to do on the wiki yet! More information about editing can be found here.
Already have an account?

Microsoft KB Archive/101801

From BetaArchive Wiki

PRB: "API Library Revision Mismatch. Rebuild Library." Error

ID: Q101801

The information in this article applies to:

  • Microsoft FoxPro Library Construction Kit, version 2.0
  • Microsoft FoxPro for MS-DOS, versions 2.5, 2.5a

When you attempt to issue the SET LIBRARY TO command with a library created with the FoxPro 2.0 Library Construction Kit (LCK) while you are using FoxPro 2.5 or later for MS-DOS, the following error message is displayed:

   API library revision mismatch. Rebuild library.

To correct this problem, you must update the library file by following the directions in FOXPRO25\GOODIES\LCKUPDAT\LCKUPDAT.TXT. This file provides the information necessary to update the 2.0 LCK for use with FoxPro 2.5 and later. You cannot update the library file without the LCK and the source code for the library. If you obtained the library from a third party, contact that party to obtain the updated file for use with FoxPro 2.5 and later for MS-DOS. Additional reference words: FoxDos 2.50 2.50a errmsg err msg KBCategory: kbprg kberrmsg KBSubcategory:


Last Reviewed: August 28, 1995
© 1999 Microsoft Corporation. All rights reserved. Terms of Use.